openapi: 3.1.1
info:
  title: Overview
  summary: Originator entry point
  description: >
    Provides TRP service operational status, environment metadata, implemented
    capabilities, and supported endpoints. This endpoint is typically used for
    integration checks, monitoring, and environment discovery by VASPs.
  x-metadata:
    types:
      - Trp
    status: alpha
  version: 3.2.1
  termsOfService: https://travel-rule.com/terms
  contact:
    email: support@travel-rule.com
    url: https://travel-rule.com
    license: null
    name: Proprietary
paths:
  /health:
    get:
      summary: Server status
      operationId: health
      tags:
        - Infra
      responses:
        '200':
          description: Server up
        '401':
          description: Server dowm
tags:
  - name: Infra
servers:
  - url: https://trp.travel-rule.com
    description: Production
  - url: https://trp-stg.travel-rule.com
    description: Dev area
components: {}
